curl --request GET \
--url https://api.exowpee.com/v1/team/company \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.exowpee.com/v1/team/company"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.exowpee.com/v1/team/company', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.exowpee.com/v1/team/company",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.exowpee.com/v1/team/company"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.exowpee.com/v1/team/company")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.exowpee.com/v1/team/company")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"city": "<string>",
"tax_registration_number": "<string>",
"business_registration_number": "<string>",
"address": "<string>",
"working_hours": {},
"country": "<string>",
"is_active": true,
"logo_url": "<string>",
"subscription_activated_at": "2023-11-07T05:31:56Z",
"trial_ended_at": "2023-11-07T05:31:56Z",
"next_billing_at": "2023-11-07T05:31:56Z",
"activated_at": "2023-11-07T05:31:56Z",
"owner_id": "<string>",
"cash_account_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"parent": "<string>",
"settings": {}
}View my company
Shows the details of the company the member is currently working in.
curl --request GET \
--url https://api.exowpee.com/v1/team/company \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.exowpee.com/v1/team/company"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.exowpee.com/v1/team/company', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.exowpee.com/v1/team/company",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.exowpee.com/v1/team/company"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.exowpee.com/v1/team/company")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.exowpee.com/v1/team/company")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"city": "<string>",
"tax_registration_number": "<string>",
"business_registration_number": "<string>",
"address": "<string>",
"working_hours": {},
"country": "<string>",
"is_active": true,
"logo_url": "<string>",
"subscription_activated_at": "2023-11-07T05:31:56Z",
"trial_ended_at": "2023-11-07T05:31:56Z",
"next_billing_at": "2023-11-07T05:31:56Z",
"activated_at": "2023-11-07T05:31:56Z",
"owner_id": "<string>",
"cash_account_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"parent": "<string>",
"settings": {}
}companies.retrieve
Conditions
- Agent accounts are refused.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Response mode. Default resource; none answers 204 No Content.
resource Comma-separated JSON keys of the root resource (id is always rendered). Available: id, name, city, tax_registration_number, business_registration_number, address, working_hours, country, is_active, logo_url, subscription_activated_at, trial_ended_at, next_billing_at, activated_at, owner_id, cash_account_id, created_at, updated_at, parent.
Comma-separated include paths, each optionally followed by its fields in parentheses: units(id,sku),units.uomUnit(id,name). Max depth 6, max 40 paths. Available: settings.
Response
Resource.
Identifier of the company (27-character KSUID string).
Name of the company, stored in lowercase.
City of the company; null when not set.
Tax registration number of the company; null when not set.
Business registration number of the company; null when not set.
Street address of the company; null when not set.
Opening hours of the company, as an object keyed by weekday (monday to sunday) holding lists of HH:MM-HH:MM ranges, plus an optional exceptions object keyed by date (YYYY-MM-DD or MM-DD). When set, the company can only be used within these hours, in the company's time zone. Null when not set.
Country of the company as free text; null when not set. The coded country used for taxes is a separate field set on update.
Whether the company is active. An organization turns it on or off with the activate and deactivate actions.
Public URL of the stored logo image, or null when no logo is set.
Date and time the company's subscription was activated (ISO 8601); null when never activated. Not set by this API.
Date and time the company's trial ended or ends (ISO 8601); null when not set. Not set by this API.
Date and time of the next billing (ISO 8601); null when not set. Not set by this API.
Date and time the company was activated (ISO 8601). Set to the creation time when an organization creates the company.
Identifier of the member who owns the company (27-character KSUID string); the creator when an organization creates the company.
Identifier of the accounting cash account of the company (27-character KSUID string), created when its books are opened; null if not yet created. It is an account of the company's books, not a cash register's ledger account.
Date and time the record was created (ISO 8601, UTC).
Date and time the record was last changed (ISO 8601, UTC).
Settings of the company (time zone, currency, rounding, default tax and discount rules). Rendered only when the include is selected, or in the role assignment answers.